Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Interface FiniteStateMachine.Probe

All Known Implementing Classes:
  Energy, MulticastFSMProbe, SleepMonitor.Monitor

Enclosing interface:
  FiniteStateMachine

public static interface FiniteStateMachine.Probe

The `Probe` interface allows observation of the state changes of a finite state machine. Probes can be inserted for a particular state so that the probe will fire before and after transitions into and out of that state, as well as for every state transition.

Method Summary
`void` | `fireAfterTransition(int beforeState, int afterState)` The `fireAfterTransition()` method allows the probe to gain control after the state machine transitions between two states.
`void` | `fireBeforeTransition(int beforeState, int afterState)` The `fireBeforeTransition()` method allows the probe to gain control before the state machine transitions between two states.

Method Detail

### fireBeforeTransition

    public void fireBeforeTransition(int beforeState,
                                     int afterState)

  The `fireBeforeTransition()` method allows the probe to gain control before the state machine transitions between two states. The before state and the after state are passed as parameters.

  Parameters:
    `beforeState` - the before state represented as an integer
    `afterState` - the after state represented as an integer

### fireAfterTransition

    public void fireAfterTransition(int beforeState,
                                    int afterState)

  The `fireAfterTransition()` method allows the probe to gain control after the state machine transitions between two states. The before state and the after state are passed as parameters.

  Parameters:
    `beforeState` - the before state represented as an integer
    `afterState` - the after state represented as an integer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD